#!/bin/sh


# ------------------------------------------------------------------------ {COPYRIGHT-TOP}

# Licensed Materials - Property of IBM

# Restricted Materials of IBM

# IBM Tivoli Usage and Accounting Manager

# 5724-O33, 5765-UAV, 5765-UA7, 44E7863

# (c) Copyright IBM Corp. 2004, 2008 All Rights Reserved.

#
# US Government Users Restricted Rights - Use, duplication or

# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

# ------------------------------------------------------------------------ {COPYRIGHT-END}


if [ "$TUAM_HOME" != "" ]

then
   echo Stopping eWAS...

   
if  [ "$1" != "" -a "$2" != "" ];
   
then
   			
echo Stopping eWAS with authentication
			
"$TUAM_HOME/ewas/bin/stopServer.sh" server1 -username "$1" -password "$2"
   
else
   			
echo Stopping eWAS without authentication
			
"$TUAM_HOME/ewas/bin/stopServer.sh" server1
   
fi

   
echo Undoing fix...
   

   cp "$TUAM_HOME/lib/aucIntegrator.iz32912" "$TUAM_HOME/lib/aucIntegrator.jar"
   cp "$TUAM_HOME/ewas/systemApps/isclite.ear/aucConsole.war/WEB-INF/lib/aucIntegrator.iz32912" "$TUAM_HOME/ewas/systemApps/isclite.ear/aucConsole.war/WEB-INF/lib/aucIntegrator.jar"
   cp "$TUAM_HOME/lib/aucProcessEngine.IZ41929" "$TUAM_HOME/lib/aucProcessEngine.jar"
   cp "$TUAM_HOME/ewas/systemApps/isclite.ear/aucConsole.war/WEB-INF/lib/aucProcessEngine.IZ41929" "$TUAM_HOME/ewas/systemApps/isclite.ear/aucConsole.war/WEB-INF/lib/aucProcessEngine.jar"
   cp "$TUAM_HOME/lib/aucCommon.iz34261" "$TUAM_HOME/lib/aucCommon.jar"
   cp "$TUAM_HOME/collectors/tdw/StandardTemplates.xml.27339" "$TUAM_HOME/collectors/tdw/StandardTemplates.xml"
   cp "$TUAM_HOME/ewas/systemApps/isclite.ear/aucConsole.war/WEB-INF/lib/aucCommon.jar.iz34261" "$TUAM_HOME/ewas/systemApps/isclite.ear/aucConsole.war/WEB-INF/lib/aucCommon.jar"
   cp "$TUAM_HOME/collectors/unixlinux/ituam_uc_aix5.tar.IZ32912" "$TUAM_HOME/collectors/unixlinux/ituam_uc_aix5.tar"
   
   if [ -f "$TUAM_HOME/collectors/unix/scripts/aacct/ituam_format_aacct.IZ32912" ]
   then
     cp "$TUAM_HOME/collectors/unix/scripts/aacct/ituam_format_aacct.IZ32912" "$TUAM_HOME/collectors/unix/scripts/aacct/ituam_format_aacct"
   fi
   
echo Restarting eWAS...
   
"$TUAM_HOME/ewas/bin/startServer.sh" server1

else
   
echo Your environment variable TUAM_HOME is not set.  Set the TUAM_HOME variable to the install location of TUAM 7.1 and then rerun fix.
fi

